[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellListView.DoAddItem

Signals the OnAddItem event handler when an entry is added to the Items in the control.

## Declaration

Source position: shellctrls.pas line 285

`protected procedure TCustomShellListView.DoAddItem(`
`const ABasePath: string;`
`const AFileInfo: TSearchRec;`
`var CanAdd: Boolean`
`);`

## Arguments

`ABasePath` |  | Base path for the list view.
`AFileInfo` |  | TSearchRec with the information for the new entry.
`CanAdd` |  | Set the argument to True to allow the item to be added; set to False to prevent adding the item.